%define		module	IPy
Summary:	Class and tools for handling of IPv4 and IPv6 addresses and networks
Summary(pl.UTF-8):	Klasy i narzędzia do obsługi adresów i sieci IPv4 i IPv6
Name:		python-%{module}
Version:	0.80
Release:	3
License:	BSD
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/I/IPy/%{module}-%{version}.tar.gz
# Source0-md5:	3ac024861a8ca833b3f041d0fe2ce04c
URL:		https://github.com/haypo/python-ipy/wiki
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The IP class allows a comfortable parsing and handling for most
notations in use for IPv4 and IPv6 Addresses and Networks. It was
greatly inspired bei RIPE's Perl module Net::IP's interface but
doesn't share the Implementation. It doesn't share non-CIDR netmasks,
so funky stuff lixe a netmask 0xffffff0f can't be done here.

%description -l pl.UTF-8
Klasa IP pozwala w wygodny sposób analizować i obsługiwać większość
używanych notacji zapisu adresów i sieci IPv4 i IPv6. Jest w dużej
części zainspirowana interfejsem modułu Perla RIPE Net::IP, ale nie
współdzieli z nim implementacji. Nie dzieli masek sieciowych nie-CIDR,
więc zabawne rzeczy typu maska 0xffffff0f są tutaj niewykonalne.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install \
	--root $RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README AUTHORS COPYING
%attr(755,root,root) %{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/*.egg-info
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-IPy.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 4a00a78
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 6fff749
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f912778
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2c2826e
- automatic change: use py_build/py_install macros

* Wed Mar 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 22c99a3
- up to 0.80

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> ddb687c
- up to 0.75

* Mon Feb 21 2011 areq <areq@pld-linux.org> d77e90f
- 0.74

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 2862162
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1597293
- release 2

* Sun Mar 15 2009 duddits <duddits@pld-linux.org> 2443c75
- up to 0.62
- macros
- single-version-externally-managed option obsolete
- %files

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 32b53a4
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b219e8c
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 38a3cba
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a18b2e7
- converted to UTF-8

* Tue Nov 07 2006 Jakub Bogusz <qboosh@pld-linux.org> 1dc2749
- pl, BR: rpm-pythonprov

* Mon Nov 06 2006 Artur Frysiak <artur@frysiak.net> 2d0a0f5
- updated to 0.52

* Fri Nov 03 2006 Artur Frysiak <artur@frysiak.net> 15c8286
- missing BR

* Fri Nov 03 2006 Artur Frysiak <artur@frysiak.net> 391f496
- initial version

* Mon Aug 08 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> e1f08a4
- make it noarch

* Mon Aug 08 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> ff819a9
- add docs

